My Project: dgCollisionCompoundFractured::dgFractureBuilder::dgConvexSolidArray Class Reference

My Project

Public Member Functions | List of all members
dgCollisionCompoundFractured::dgFractureBuilder::dgConvexSolidArray Class Reference
Inheritance diagram for dgCollisionCompoundFractured::dgFractureBuilder::dgConvexSolidArray:

## Public Member Functions

| dgConvexSolidArray (dgMemoryAllocator *const allocator)
Public Member Functions inherited from dgTree< dgConvexSolidVertices, dgInt32 >
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (dgInt32 key) const
dgTreeNode * | FindGreater (dgInt32 key) const
dgTreeNode * | FindGreaterEqual (dgInt32 key) const
dgTreeNode * | FindLessEqual (dgInt32 key) const
dgTreeNode * | GetNodeFromInfo (dgConvexSolidVertices &info) const
dgTreeNode * | Insert (const dgConvexSolidVertices &element, dgInt32 key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgConvexSolidVertices &element, dgInt32 key)
dgTreeNode * | Insert (dgTreeNode *const node, dgInt32 key)
dgTreeNode * | Replace (dgConvexSolidVertices &element, dgInt32 key)
dgTreeNode * | ReplaceKey (dgInt32 oldKey, dgInt32 newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, dgInt32 key)
void | Remove (dgInt32 key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgConvexSolidArray()

dgCollisionCompoundFractured::dgFractureBuilder::dgConvexSolidArray::dgConvexSolidArray | ( | dgMemoryAllocator *const | allocator | ) |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.cpp